%define __libtoolize /bin/true
%define oname verve-plugin

Summary:    A minicmd-plugin for the Xfce panel
Name:       xfce-verve-plugin
Version:     0.3.5
Release:    %mkrel 1
License:    GPL
URL:        http://goodies.xfce.org/projects/panel-plugins
Source0:    %{oname}-%{version}.tar.bz2
Group:      Graphical desktop/Xfce
BuildRoot:  %{_tmppath}/%{name}-buildroot
Requires:   xfce-panel >= 4.3
Requires:       exo
BuildRequires:  xfce-panel-devel >= 4.3
BuildRequires:  exo-devel >= 0.3.1.3
BuildRequires:  libxfcegui4-devel 
BuildRequires:  dbus-glib-devel
BuildRequires:  pcre-devel
BuildRequires:  perl(XML::Parser)

%description
This plugin is like the (quite old) xfce4-minicmd-plugin, except that it 
feature more cool features, like autocompletion and command history. 
And more are yet to come! 
A MUST!

%prep
%setup -q -n %{oname}-%{version} 

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

#fix name and location of bin file
rm -rf $RPM_BUILD_ROOT/usr/bin
mkdir $RPM_BUILD_ROOT%{_bindir}
install -m 755 scripts/verve-focus $RPM_BUILD_ROOT%{_bindir}/ 
 
%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS TODO 
%{_bindir}/verve-focus
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_libdir}/xfce4/panel-plugins/*




%changelog
* Sun Jan 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.5-1mdv2007.0
+ Revision: 114696
- New release 0.3.5

* Fri Jan 05 2007 Crispin Boylan <crisb@mandriva.org> 0.3.4-5mdv2007.1
+ Revision: 104586
- BuildRequires dbus-glib-devel
- BuildRequires pcre-devel
- Rebuild to remove weird libwww dep

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild for latest xfce
    - Rebuild for xfce 4.3.99.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add BuildRequires
    - import xfce-verve-plugin-0.3.4-1mdv2007.0


* Thu Aug 03 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.4-1mdv2007.0
- 0.3.4  (bugfix release)

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.3-1mdv2007.0
- 0.3.3
- update URL

* Wed Jul 19 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.2-1mdv2007.0
- verve-0.3.2

* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.0-2mdv2007.0
- rebuild for xfce-4.3.90.2

* Fri Jun 23 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.0-1mdv2007.0
- initial mandriva package

